[CRIU] [PATCH cr 2/2] zdtm.sh: check that a pid is valid
Andrey Vagin
avagin at openvz.org
Fri May 11 15:02:35 EDT 2012
A test process should be alive.
Signed-off-by: Andrey Vagin <avagin at openvz.org>
---
test/zdtm.sh | 6 ++++++
1 files changed, 6 insertions(+), 0 deletions(-)
diff --git a/test/zdtm.sh b/test/zdtm.sh
index eb138cd..bf408d4 100644
--- a/test/zdtm.sh
+++ b/test/zdtm.sh
@@ -92,6 +92,12 @@ run_test()
local pid ddump
pid=`cat $test.pid` || return 1
+
+ kill -s 0 "$pid" || {
+ echo "Get a wrong pid '$pid'"
+ return 1
+ }
+
ddump=dump/$tname/$pid
DUMP_PATH=`pwd`/$ddump
--
1.7.1
More information about the CRIU
mailing list